package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"source", "target", "transformation", "mapplet", "mapping", "shortcut"}
)
@XmlRootElement(
   name = "FOLDERVERSION"
)
public class FOLDERVERSION {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlElement(
      name = "SOURCE"
   )
   protected List<SOURCE> source;
   @XmlElement(
      name = "TARGET"
   )
   protected List<TARGET> target;
   @XmlElement(
      name = "TRANSFORMATION"
   )
   protected List<TRANSFORMATION> transformation;
   @XmlElement(
      name = "MAPPLET"
   )
   protected List<MAPPLET> mapplet;
   @XmlElement(
      name = "MAPPING"
   )
   protected List<MAPPING> mapping;
   @XmlElement(
      name = "SHORTCUT"
   )
   protected List<SHORTCUT> shortcut;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public List<SOURCE> getSOURCE() {
      if (this.source == null) {
         this.source = new ArrayList();
      }

      return this.source;
   }

   public List<TARGET> getTARGET() {
      if (this.target == null) {
         this.target = new ArrayList();
      }

      return this.target;
   }

   public List<TRANSFORMATION> getTRANSFORMATION() {
      if (this.transformation == null) {
         this.transformation = new ArrayList();
      }

      return this.transformation;
   }

   public List<MAPPLET> getMAPPLET() {
      if (this.mapplet == null) {
         this.mapplet = new ArrayList();
      }

      return this.mapplet;
   }

   public List<MAPPING> getMAPPING() {
      if (this.mapping == null) {
         this.mapping = new ArrayList();
      }

      return this.mapping;
   }

   public List<SHORTCUT> getSHORTCUT() {
      if (this.shortcut == null) {
         this.shortcut = new ArrayList();
      }

      return this.shortcut;
   }
}
